OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
InactiveVoxelValues< TreeType > Class Template Reference

`#include <Diagnostics.h>`

## Public Types
using | LeafArray = tree::LeafManager< TreeType >
using | ValueType = typename TreeType::ValueType
using | SetType = std::set< ValueType >

## Public Member Functions
| InactiveVoxelValues (LeafArray &, size_t numValues)
void | runParallel ()
void | runSerial ()
void | getInactiveValues (SetType &) const
| InactiveVoxelValues (const InactiveVoxelValues< TreeType > &, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &)
void | join (const InactiveVoxelValues< TreeType > &)

## Member Typedef Documentation

## ◆ LeafArray

using LeafArray = tree::LeafManager<TreeType>

## ◆ SetType

using SetType = std::set<ValueType>

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ InactiveVoxelValues() [1/2]

InactiveVoxelValues | ( | LeafArray & | leafs,
|  | size_t | numValues
| ) |  |

## ◆ InactiveVoxelValues() [2/2]

InactiveVoxelValues | ( | const InactiveVoxelValues< TreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ getInactiveValues()

void getInactiveValues | ( | SetType & | values | ) | const
| inline

## ◆ join()

void join | ( | const InactiveVoxelValues< TreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

## ◆ runParallel()

void runParallel | ( |  | ) |

## ◆ runSerial()

void runSerial | ( |  | ) |

The documentation for this class was generated from the following file:

- Diagnostics.h